/****************************************************
	MARC Template Library 

 	Version 0.6.2 - Released 14 June 2002
 	Version 0.6.1 - Released 12 June 2002
    Version 0.6 - Released 10 June 2002
	  Version 0.5 - Not Released 1st June 2002
    Version 0.4.5 - Released 5th April 2002
  Version 0.4 - Released 28th March 2002
  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: markbasedow@bigpond.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/

#include "marc8ascii.h"



MARC8_ASCII::ASCIITable MARC8_ASCII::asciitable[] = {
	{128, 0}, 
	{129, 0}, 
	{130, 0},
	{131, 0},
	{132, 0},
	{133, 0},
	{134, 0},
	{135, 0},
	{136, 0},
	{137, 0},
	{138, 0}, 
	{139, 0},
	{140, 0},
	{141, 0},
	{142, 0},
	{143, 0},
	{144, 0},
	{145, 0},
	{146, 0},
	{147, 0},
	{148, 0}, 
	{149, 0},
	{150, 0},
	{151, 0},
	{152, 0},
	{153, 0},
	{154, 0},
	{155, 0},
	{156, 0},
	{157, 0},
	{158, 0}, 
	{159, 0},
	{160, 0},
	{161, 0},
	{162, 0},
	{163, 0},
	{164, 0},
	{165, 0},
	{166, 0},
	{167, 0},
	{168, 0}, 
	{169, 0},
	{170, 0},
	{171, 0},
	{172, 0},
	{173, 0},
	{174, 0},
	{175, 0},
	{176, 0},
	{177, 0},
	{178, 0}, 
	{179, 0},
	{180, 0},
	{181, 0},
	{182, 0},
	{183, 0},
	{184, 0},
	{185, 0},
	{186, 0},
	{187, 0},
	{188, 0}, 
	{189, 0},
	{190, 0},
	{191, 0},
	{192, 0},
	{193, 0},
	{194, 0},
	{195, 0},
	{196, 0},
	{197, 0},
	{198, 0}, 
	{199, 0},
	{200, 0},
	{201, 0},
	{202, 0},
	{203, 0},
	{204, 0},
	{205, 0},
	{206, 0},
	{207, 0},
	{208, 0},
	{209, 0},
	{210, 0},
	{211, 0},
	{212, 0},
	{213, 0},
	{214, 0},
	{215, 0},
	{216, 0},
	{217, 0},
	{218, 0},
	{219, 0},
	{220, 0},
	{221, 0},
	{222, 0},
	{223, 0},
	{224, 0},
	{225, 0},
	{226, 0},
	{227, 0},
	{228, 0},
	{229, 0},
	{230, 0},
	{231, 0},
	{232, 0},
	{233, 0},
	{234, 0},
	{235, 0},
	{236, 0},
	{237, 0},
	{238, 0},
	{239, 0},
	{240, 0},
	{241, 0},
	{242, 0},
	{243, 0},
	{244, 0},
	{245, 0},
	{246, 0},
	{247, 0},
	{248, 0},
	{249, 0},
	{250, 0},
	{251, 0},
	{252, 0},
	{253, 0},
	{254, 0},
	{255, 0}
};




int MARC8_ASCII::Encode(MARC_String & output, const MARC_String & ms)
{
	int i = 0;
	int c = 0;

	if(ms.StringLength > output.StringLength) return -1;

	while(i < ms.StringLength)
	{
		c = (unsigned char)ms.StringPtr[i];

		if(c < 127)
		{
		output.StringPtr[i] = c;
		}
		else
		{
		output.StringPtr[i] = GetASCII(c);
		}
	++i;
	}

	return i;
}